Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
kTimeSpanFormat Struct Reference
kApi/Utils

## Description

Represents a timespan text format.

Inheritance diagram for kTimeSpanFormat:

## Related
#define | kTIME_SPAN_FORMAT_NULL
| Unknown format value.
#define | kTIME_SPAN_FORMAT_PARTS_FULL
| Complete representation, expressed as broken-down time parts. E.g., 1d 4h 32m 45.123456s.
#define | kTIME_SPAN_FORMAT_PARTS_SIMPLE
| Similar to PartsFull, but omits fractional seconds. E.g., 1d 4h 32m 45s.
#define | kTIME_SPAN_FORMAT_HMS_FULL
| Complete reprsentation, expressed in hours-minutes-seconds format. E.g., 28:32:45.123456.
#define | kTIME_SPAN_FORMAT_HMS_SIMPLE
| Similar to HmsFull, but omits fractional seconds. E.g., 28:32:45.
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

## Additional Inherited Members
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...

The documentation for this struct was generated from the following file:

- Utils/kTimeSpan.h